Fix build, apply clang-format
Enhance ifdef feature to support my_ vars

Issue #905
Use myvar_get, do not reinvent the wheel

Issue #905
Enhance ifdef feature to support my_ vars (#906)

* Enhance ifdef feature to support my_ vars

Issue #905

* Use myvar_get, do not reinvent the wheel

Issue #905
